/*
 * 2ooM: The Master of Orion II Reverse Engineering Project
 * Helper functions for liblbx command-line applications.
 * Copyright © 2013 Nick Bowler
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TOOLS_H_
#define TOOLS_H_

void tool_init(const char *name, int argc, char **argv);
void tool_version(void);

const char *tool_invocation(void);

#define errmsg(fmt, ...) (\
	fprintf(stderr, "%s: " fmt, tool_invocation(), __VA_ARGS__)\
)

#endif
